Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.ui.freemarker
Class FreeMarkerTemplateUtils

    java.lang.Object
      org.springframework.ui.freemarker.FreeMarkerTemplateUtils

    public abstract class FreeMarkerTemplateUtils

extends java.lang.Object

Utility class for working with FreeMarker. Provides convenience methods to process a FreeMarker template with a model.

Since:
  14.03.2004
Author:
  Juergen Hoeller

Constructor Summary
`FreeMarkerTemplateUtils()`

Method Summary
`static java.lang.String` | `processTemplateIntoString(freemarker.template.Template template, java.lang.Object model)` Process the specified FreeMarker template with the given model and write the result to the given Writer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FreeMarkerTemplateUtils

    public FreeMarkerTemplateUtils()

Method Detail

### processTemplateIntoString

    public static java.lang.String processTemplateIntoString(freemarker.template.Template template,
                                                             java.lang.Object model)
                                                      throws java.io.IOException,
                                                             freemarker.template.TemplateException

  Process the specified FreeMarker template with the given model and write the result to the given Writer.

  When using this method to prepare a text for a mail to be sent with Spring's mail support, consider wrapping IO/TemplateException in MailPreparationException.

  Parameters:
    `model` - the model object, typically a Map that contains model names as keys and model objects as values
  Returns:
    the result as String
  Throws:
    `java.io.IOException` - if the template wasn't found or couldn't be read
    `freemarker.template.TemplateException` - if rendering failed
  See Also:
    `MailPreparationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD